Page MenuHomePhabricator

VisualEditor links on new pages are broken (uses /w/ instead of /wiki/)
Closed, ResolvedPublic1 Story Points

Event Timeline

He7d3r created this task.Mar 28 2015, 8:38 PM
He7d3r raised the priority of this task from to Needs Triage.
He7d3r updated the task description. (Show Details)
He7d3r added a project: VisualEditor-Links.
He7d3r added subscribers: He7d3r, Silent, DiegoQueiroz.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 28 2015, 8:38 PM

Ugh, this is because we use the Parsoid HTML's <base href> to resolve links, but when creating a new page there is no Parsoid HTML. We'll probably have to create a fake document with the right <base href> to serve as our link resolution context in this case.

Elitre added a subscriber: Elitre.Mar 30 2015, 1:18 PM
He7d3r updated the task description. (Show Details)Mar 30 2015, 4:45 PM
He7d3r set Security to None.
He7d3r updated the task description. (Show Details)

Change 200808 had a related patch set uploaded (by Catrope):
Fake <base href> if missing or invalid

https://gerrit.wikimedia.org/r/200808

Jdforrester-WMF renamed this task from Visual Editor links on new pages are broken (uses /w/ instead of /wiki/) to VisualEditor links on new pages are broken (uses /w/ instead of /wiki/).Mar 31 2015, 7:18 PM
Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF assigned this task to Catrope.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from Nominated to Done on the VisualEditor 2014/15 Q3 blockers board.

Change 200808 merged by jenkins-bot:
Fake <base href> if missing or invalid

https://gerrit.wikimedia.org/r/200808

Jdforrester-WMF moved this task from To Triage to Q4 on the VisualEditor board.Apr 1 2015, 4:11 PM
Jdforrester-WMF triaged this task as High priority.Apr 1 2015, 4:16 PM